none
msxml4.dll RRS feed

  • 问题

  • hi everyone:

     

    请问msxml4.dll可以并行执行,但是如何在自己的程序中指定需要使用的特定版本的msxml4.dll呢?

    我现在的做法是在相应的manifest文件中加入以下内容

        <dependency>

          <dependentAssembly>

          <assemblyIdentity

                 type="win32"

                 name="Microsoft.MSXML2"

                 version="4.20.9818.0"

                 publicKeyToken="6bd6b9abf345378f"

                 language="*"

                 processorArchitecture="x86"/>

           </dependentAssembly>

        </dependency>

     

    但是从vista 的WinSxs目录下面的文件来看,系统把以前版本的msxml4.dll都redirect到了现在最新的msxml4.dll上了所以上面这段的作用等于零

     

    不知道有什么解决方法吗?

    请指教。

    2008年11月27日 7:35